#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m;
    int a[n],b[m],c[m];
    scanf("%d %d",&n,&m);
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    for(int j=0;j<m;j++)
    {
        scanf("%d %d",&b[j],&c[j]);
    }
    printf("%d",2*m);
    return 0;
}